This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 369671 - Switching desktops using keyboard in KDE gives focus under mouse but incorrect transparency
Switching desktops using keyboard in KDE gives focus under mouse but incorrec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 09:51 EST by Phil Smith
Modified: 2008-06-16 22:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf for f7 using Livna nvidia driver (404 bytes, application/x-gzip)
2008-01-28 05:59 EST, Phil Smith
no flags Details
log file for f7 with Livna nvidia driver (4.54 KB, application/x-gzip)
2008-01-28 06:01 EST, Phil Smith
no flags Details
log file for f7 with GeForce card with no xorg.conf (9.29 KB, application/x-gzip)
2008-01-28 06:01 EST, Phil Smith
no flags Details
xorg.conf for f8 using ATI card (285 bytes, application/x-gzip)
2008-01-28 06:02 EST, Phil Smith
no flags Details
log file for f8 with ATI card (9.13 KB, application/x-gzip)
2008-01-28 06:04 EST, Phil Smith
no flags Details
log file for f8 with ATI card with no xorg.conf (9.54 KB, application/x-gzip)
2008-01-28 06:05 EST, Phil Smith
no flags Details

  None (edit)
Description Phil Smith 2007-11-07 09:51:51 EST
Description of problem:
KDE with translucency on and "focus under mouse" or "focus strictly under mouse"
 does not change translucency to 100% when the active window is changed by
switching desktops with the shortcut keys (e.g., alt-ctrl-left).  A window
switched in under the mouse cursor gets focus but does not get updated transparency.

Version-Release number of selected component (if applicable):
all updates as of 2007-11-06
kde-3.5.7
compiz-0.3.6-8

How reproducible:
Always.

Steps to Reproduce:
1. Open two windows (konsole) on desktop 1 (called A and B), keep A in focus
2. Switch to desktop 2 using shortcut keys (e.g., alt-ctrl-right)
3. Move the mouse down to where window B would be on the other desktop
4. Switch to desktop 1 using shortcut keys (e.g., alt-ctrl-left)
5. Make sure the mouse cursor ended up over window B
  
Actual results:
Window B will get focus but will have "inactive" transparency (e.g., 75%)

Expected results:
Window B should get focus and get "active" transparency (e.g., 100%)

Additional info:
Problem is annoying for translucency on whole window: not so bad for
translucency on decoration
People who click on the desktop switcher would move the mouse out of and back
into the window so this problem can be missed.
Comment 1 Matěj Cepl 2008-01-23 19:39:06 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Phil Smith 2008-01-28 05:59:57 EST
Created attachment 293144 [details]
xorg.conf for f7 using Livna nvidia driver
Comment 3 Phil Smith 2008-01-28 06:01:02 EST
Created attachment 293145 [details]
log file for f7 with Livna nvidia driver
Comment 4 Phil Smith 2008-01-28 06:01:42 EST
Created attachment 293146 [details]
log file for f7 with GeForce card with no xorg.conf
Comment 5 Phil Smith 2008-01-28 06:02:26 EST
Created attachment 293147 [details]
xorg.conf for f8 using ATI card
Comment 6 Phil Smith 2008-01-28 06:04:27 EST
Created attachment 293148 [details]
log file for f8 with ATI card
Comment 7 Phil Smith 2008-01-28 06:05:11 EST
Created attachment 293149 [details]
log file for f8 with ATI card with no xorg.conf
Comment 8 Phil Smith 2008-01-28 06:14:53 EST
Attachments:
xorg.conf.f7 is the conf for Fedora7 with Livna nvidia driver on GeForce card
Xorg.0.log.f7 is the corresponding log
Xorg.0.log.f7.noconf is the log with no xorg.conf, defaults to standard driver
xorg.conf.f8 is the conf for Fedora8 with standard driver on ATI
Xorg.0.log.f8 is the corresponding log
Xorg.0.log.f8.noconf is the log with no xorg.conf

f7 on the GeForce without xorg.conf (using standard slow driver with Fedora)
does seem to avoid this problem: haven't been able to reproduce it.
f8 on the ATI shows this problem with or without xorg.conf though ...
***I see now that this problem doesn't always occur immediately after starting
X: it sometimes needs a few windows opening and a few desktop switches before it
starts (which is not long in normal use).*** Once the problem has started it
sticks until X is restarted.

Summary: 2 diff machines (#1 f8 ATI, #2 f7 nvidia GeForce)
f7, Livna nvidia driver: prob seen immediately
f7, no xorg.conf:        prob not seen
f8, std radeon driver:   prob seen after few seconds of win/desktop switching 
f8, no xorg.conf:        prob seen after few seconds of win/desktop switching   
Comment 9 Bug Zapper 2008-05-14 11:00:44 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 22:49:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.